Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739232 - =sys-devel/gcc-10.2.0-r1 miscompiles at several stages
Summary: =sys-devel/gcc-10.2.0-r1 miscompiles at several stages
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: HPPA Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-27 10:14 UTC by Jeroen Roovers (RETIRED)
Modified: 2020-09-14 22:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-devel:gcc-10.2.0-r1:20200823-154036.log.xz (sys-devel:gcc-10.2.0-r1:20200823-154036.log.xz,91.82 KB, application/x-xz)
2020-08-27 10:14 UTC, Jeroen Roovers (RETIRED)
Details
sys-devel:gcc-10.2.0-r1:20200824-071658.log.xz (sys-devel:gcc-10.2.0-r1:20200824-071658.log.xz,104.49 KB, application/x-xz)
2020-08-27 10:15 UTC, Jeroen Roovers (RETIRED)
Details
sys-devel:gcc-10.2.0-r1:20200824-183112.log.xz (sys-devel:gcc-10.2.0-r1:20200824-183112.log.xz,97.29 KB, application/x-xz)
2020-08-27 10:15 UTC, Jeroen Roovers (RETIRED)
Details
sys-devel:gcc-10.2.0-r1:20200825-054059.log.xz (sys-devel:gcc-10.2.0-r1:20200825-054059.log.xz,75.36 KB, application/x-xz)
2020-08-27 10:16 UTC, Jeroen Roovers (RETIRED)
Details
sys-devel:gcc-10.2.0-r1:20200827-065153.log.xz (sys-devel:gcc-10.2.0-r1:20200827-065153.log.xz,75.57 KB, application/x-xz)
2020-08-27 10:17 UTC, Jeroen Roovers (RETIRED)
Details
sys-devel:gcc-10.2.0-r1:20200827-155237.log.xz (sys-devel:gcc-10.2.0-r1:20200827-155237.log.xz,73.49 KB, application/x-xz)
2020-08-27 18:37 UTC, Jeroen Roovers (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 10:14:31 UTC
Created attachment 657080 [details]
sys-devel:gcc-10.2.0-r1:20200823-154036.log.xz

Attached are build logs for several tries of =sys-devel/gcc-10.2.0-r1 on a HPPA C8000.

Thu 27 Aug 12:12:45 CEST 2020
emerge --info sys-devel/gcc
Portage 3.0.4 (python 3.6.12-final-0, default/linux/hppa/17.0, gcc-10.2.0, glibc-2.32, 5.9.0-rc1-JeR parisc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.9.0-rc1-JeR-parisc64-PA8800_-Mako-with-gentoo-2.7
KiB Mem:     8213044 total,    579748 free
KiB Swap:    2101676 total,   2094684 free
Timestamp of repository gentoo: Thu, 27 Aug 2020 02:30:01 +0000
Head commit of repository gentoo: 78bb129aa929ed6c5cc418320e63bd1241b80522
sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
distcc[19883] (dcc_mkdir) ERROR: mkdir '/dev/shm/distcc/root/state' failed: No such file or directory [disabled]
ccache version 3.7.11 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.12::gentoo, 3.7.9::gentoo, 3.8.5::gentoo, 3.9.0_rc1::gentoo
dev-util/ccache:          3.7.11::gentoo
dev-util/cmake:           3.18.1::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.9.6-r3::gentoo, 1.11.6-r3::gentoo, 1.12.6::gentoo, 1.13.4-r2::gentoo, 1.14.1::gentoo, 1.15.1-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.32-r1::gentoo, 2.33.1-r1::gentoo, 2.34-r2::gentoo
sys-devel/gcc:            6.5.0-r3::gentoo, 7.3.0-r6::gentoo, 8.2.0-r6::gentoo, 8.3.0-r3::gentoo, 9.2.0-r4::gentoo, 9.3.0::gentoo, 10.2.0::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32::gentoo
Repositories:

gentoo
    location: /aches/gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 

JeR
    location: /aches/gentoo/local
    masters: gentoo
    priority: -100

ACCEPT_KEYWORDS="hppa ~hppa"
ACCEPT_LICENSE="*"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -fno-common -Wno-comment"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib/distcc/bin /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind /var/spool/torque /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
DISTDIR="/aches/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --autounmask=n --keep-going --ignore-built-slot-operator-deps=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news notitles parallel-fetch preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
GENTOO_MIRRORS=" 	https://ftp.snt.utwente.nl/pub/os/linux/gentoo 	https://mirror.leaseweb.com/gentoo/ 	https://mirror.netcologne.de/gentoo/ "
LANG="en_GB.utf8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--no-keep-memory"
LINGUAS=" 	de en es fa fr it ja lt nl sv tr zh "
MAKEOPTS="-j3"
PKGDIR="/aches/gentoo/packages/karsten"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="256-color X acl alsa amr anacron apng argyllcms audit bash-completion beautifulsoup3 berkdb bfio big-endian bittorrent boost botan bzip2 cairo canberra caps cli crossdev crypt cups custom-cflags cxx dane dbus declarative dirac directfb distinct-l dlz dot dri elogind emacs eselect-ldso exceptions exif expat fbcon ffmpeg filecaps firefox firmware foomaticdb fortran frontend-optional g-sorcery gbm gdbm geoip geoloc glep gles1 gles2 gost gpg gpm gsm gstreamer gtk gudev guile hddtemp hppa http2 hwdb iconv icu idn imlib inotify introspection ipv6 jadetex javascript jingle jit jpeg jpeg2k json kdrive kmod ladspa lasi launch-frontend lensfun libcaca libcanberra libevent libglvnd libidn2 libopts libsoxr libusb libwww lm-sensors lm_sensors lua lzma lzo mad mng mod modplug mp3 mtp multislot multitarget munge nagios nas natspec ncurses netlink nfs nghttp3 nls nptl objc objc++ objc-gc offensive ofono-headset openexr opengl openmp openrc openvg opus oqgraph osmesa oss pam pcre pcre16 php pic pie pkcs11 png pnm policykit python qt qt3support qt4 raw readline realtime regression-test rtmp rubytests samba sbc schroedinger sctp seccomp smi snappy socks5 speex spell spidermonkey split-usr sqlite ssl svg tcl tcpd tga theora threads tiff tk tokyocabinet truetype unicode unwind v4l vala vim-syntax vorbis vpx wcwidth x264 x265 xattr xcb xft xhtml xkb xvfb xvid zlib zstd" ADA_TARGET="gnat_2018" ALSA_CARDS="ad1889 usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa tek4957 tslib ur98 virtualbox libinput void" KERNEL="linux" L10N="de en es fa fr it ja lt nl sv tr zh" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_6 python3_7" RUBY_TARGETS="ruby25 ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="stifb dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-devel/gcc-6.5.0-r3::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-ada) (-altivec) (-awt) (-cilk) -debug -doc (-fixed-point) (-gcj) (-go) -graphite (-hardened) (-libssp) (-mpx) (-multilib) -pgo (-ssp) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -O2"
FEATURES="fixlafiles usersandbox protect-owned binpkg-dostrip news ebuild-locks qa-unresolved-soname-deps network-sandbox metadata-transfer notitles compressdebug sandbox userpriv preserve-libs ipc-sandbox sfperms binpkg-logs config-protect-if-modified unmerge-orphans distlocks unmerge-logs xattr parallel-fetch unknown-features-warn assume-digests buildpkg merge-sync strict multilib-strict usersync userfetch binpkg-docompress splitdebug binpkg-multi-instance test-fail-continue"


sys-devel/gcc-7.3.0-r6::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-altivec) (-cilk) -debug -doc (-fixed-point) (-go) -graphite (-hardened) (-libssp) (-mpx) (-multilib) -pgo (-ssp) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -Wno-comment"
FEATURES="xattr multilib-strict strict merge-sync metadata-transfer unmerge-orphans usersync userpriv sfperms distlocks userfetch binpkg-dostrip news compressdebug assume-digests binpkg-docompress splitdebug unknown-features-warn buildpkg binpkg-logs fixlafiles protect-owned test-fail-continue preserve-libs unmerge-logs parallel-fetch config-protect-if-modified ebuild-locks sandbox notitles usersandbox"


sys-devel/gcc-8.2.0-r6::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) (-altivec) -debug -doc (-fixed-point) (-go) -graphite (-hardened) (-libssp) (-mpx) (-multilib) -pgo -sanitize (-ssp) (-systemtap) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -Wno-comment"
FEATURES="sandbox binpkg-docompress ebuild-locks multilib-strict merge-sync parallel-fetch binpkg-logs fixlafiles notitles buildpkg unmerge-logs unknown-features-warn config-protect-if-modified compressdebug unmerge-orphans usersync strict usersandbox userpriv assume-digests distlocks xattr news binpkg-dostrip metadata-transfer splitdebug preserve-libs protect-owned userfetch test-fail-continue sfperms"


sys-devel/gcc-8.3.0-r3::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-ada) (-altivec) -debug -doc (-fixed-point) (-go) -graphite (-hardened) (-libssp) (-mpx) (-multilib) -pgo (-ssp) (-systemtap) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -O2"
FEATURES="buildpkg binpkg-logs compressdebug preserve-libs distlocks fixlafiles strict binpkg-docompress merge-sync binpkg-multi-instance ipc-sandbox unmerge-logs splitdebug protect-owned binpkg-dostrip unmerge-orphans sandbox assume-digests unknown-features-warn xattr ebuild-locks userfetch news network-sandbox parallel-fetch multilib-strict metadata-transfer qa-unresolved-soname-deps usersync sfperms userpriv usersandbox config-protect-if-modified test-fail-continue notitles"


sys-devel/gcc-9.2.0-r4::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-ada) (-altivec) -d -debug -doc (-fixed-point) (-go) -graphite (-hardened) (-libssp) -lto (-multilib) -pgo (-ssp) (-systemtap) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -O2"
FEATURES="sfperms fixlafiles buildpkg news xattr strict splitdebug sandbox ebuild-locks ipc-sandbox binpkg-dostrip metadata-transfer usersandbox binpkg-logs distlocks binpkg-multi-instance userfetch unknown-features-warn binpkg-docompress qa-unresolved-soname-deps test-fail-continue preserve-libs compressdebug parallel-fetch userpriv unmerge-orphans assume-digests unmerge-logs notitles network-sandbox protect-owned usersync merge-sync config-protect-if-modified multilib-strict"


sys-devel/gcc-9.3.0::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize (-ada) (-altivec) -d -debug -doc (-fixed-point) (-go) -graphite (-hardened) (-libssp) -lto (-multilib) -pgo (-ssp) (-systemtap) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -O2"
FEATURES="buildpkg binpkg-logs compressdebug preserve-libs distlocks fixlafiles strict binpkg-docompress merge-sync binpkg-multi-instance ipc-sandbox unmerge-logs splitdebug protect-owned binpkg-dostrip unmerge-orphans sandbox assume-digests unknown-features-warn xattr ebuild-locks userfetch news network-sandbox parallel-fetch multilib-strict metadata-transfer qa-unresolved-soname-deps usersync sfperms userpriv usersandbox config-protect-if-modified test-fail-continue notitles"


sys-devel/gcc-10.2.0::gentoo was built with the following:
USE="(cxx) fortran jit nls nptl objc objc++ objc-gc openmp pch (pie) sanitize zstd (-ada) -d -debug -doc (-fixed-point) (-go) -graphite (-hardened) (-libssp) -lto (-multilib) -pgo (-ssp) (-systemtap) -test -vanilla (-vtv)"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -O2"
FEATURES="xattr binpkg-docompress unmerge-logs notitles parallel-fetch assume-digests userpriv unknown-features-warn protect-owned news usersync compressdebug splitdebug binpkg-multi-instance buildpkg usersandbox binpkg-dostrip fixlafiles metadata-transfer config-protect-if-modified binpkg-logs sandbox sfperms strict preserve-libs network-sandbox ebuild-locks userfetch test-fail-continue distlocks merge-sync multilib-strict qa-unresolved-soname-deps ipc-sandbox unmerge-orphans"
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 10:15:23 UTC
Created attachment 657082 [details]
sys-devel:gcc-10.2.0-r1:20200824-071658.log.xz
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 10:15:56 UTC
Created attachment 657084 [details]
sys-devel:gcc-10.2.0-r1:20200824-183112.log.xz
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 10:16:28 UTC
Created attachment 657086 [details]
sys-devel:gcc-10.2.0-r1:20200825-054059.log.xz
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 10:17:55 UTC
Created attachment 657088 [details]
sys-devel:gcc-10.2.0-r1:20200827-065153.log.xz
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 10:20:20 UTC
Comment on attachment 657086 [details]
sys-devel:gcc-10.2.0-r1:20200825-054059.log.xz

This one I killed so the log shouldn't contain any useful information.
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-27 18:37:20 UTC
Created attachment 657166 [details]
sys-devel:gcc-10.2.0-r1:20200827-155237.log.xz
Comment 7 Sergei Trofimovich gentoo-dev 2020-08-27 18:55:44 UTC
(In reply to Jeroen Roovers from comment #6)
> Created attachment 657166 [details]
> sys-devel:gcc-10.2.0-r1:20200827-155237.log.xz

Yeah, looks like it's 10.2.0-r1 itself can't compile things.

Posting error snippet here as well:

"""
/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/./prev-gcc/xg++ -B/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/./prev-gcc/ -B/usr/hppa2.0-unknown-linux-gnu/bin/ -nostdinc++ -B/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/prev-hppa2.0-unknown-linux-gnu/libstdc++-v3/src/.libs -B/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/prev-hppa2.0-unknown-linux-gnu/libstdc++-v3/libsupc++/.libs  -isystem /var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/prev-hppa2.0-unknown-linux-gnu/libstdc++-v3/include/hppa2.0-unknown-linux-gnu  -isystem /var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/prev-hppa2.0-unknown-linux-gnu/libstdc++-v3/include  -isystem /var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/libstdc++-v3/libsupc++ -L/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/prev-hppa2.0-unknown-linux-gnu/libstdc++-v3/src/.libs -L/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/build/prev-hppa2.0-unknown-linux-gnu/libstdc++-v3/libsupc++/.libs -c    -mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment -O2 -fno-checking -DIN_GCC -fPIC    -fno-exceptions -fno-rtti -fasynchronous-unwind-tables -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wno-error=format-diag -Wmissing-format-attribute -Woverloaded-virtual -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings   -DHAVE_CONFIG_H  -DGENERATOR_FILE -fno-PIE -I. -Ibuild -I/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/gcc -I/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/gcc/build -I/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/gcc/../include  -I/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/gcc/../libcpp/include  \
        -o build/print-rtl.o /var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/gcc/print-rtl.c

during IPA pass: sra
/var/tmp/portage/sys-devel/gcc-10.2.0-r1/work/gcc-10.2.0/gcc/print-rtl.c:2155:29: internal compiler error: Segmentation fault
 2155 | #  pragma GCC diagnostic pop
      |                             ^
0xf6c1af4b __libc_start_main
        /var/tmp/portage/sys-libs/glibc-2.32/work/glibc-2.32/csu/libc-start.c:314
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <https://bugs.gentoo.org/> for instructions.
make[3]: *** [Makefile:2725: build/print-rtl.o] Error 1
"""
Comment 8 Sergei Trofimovich gentoo-dev 2020-09-12 18:59:41 UTC
Tried 10.2.0-r1 on hake in shroot with
"""
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-O2 -pipe -march=2.0 -fdiagnostics-show-option -frecord-gcc-switches"
CHOST="hppa2.0-unknown-linux-gnu"
CXXFLAGS="-O2 -pipe -march=2.0"
"""

Built fine.

Trying now with:
"""
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -fno-common -Wno-comment"
CHOST="hppa2.0-unknown-linux-gnu"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
"""
in hopes to reproduce.
Comment 9 Sergei Trofimovich gentoo-dev 2020-09-14 22:04:20 UTC
Tried as:
"""
time FEATURES='-fail-clean -strict -stricter -test' CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -fno-common -Wno-comment" CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe" USE='jit objc objc++ objc-gc sanitize zstd' LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--no-keep-memory" emerge -av1 gcc
"""

and got gcc compiled successfully.